local price_cap = 2000
local price_cap1 = 2000
local price_cap2 = 2000
local price_growth= 2.0
local price_start = 200
local price_cap_enabled = false

function round(num)
  local mult = 10^(1)
  return math.floor(num * mult + 0.5) / mult
end

price_cap2 =  math.ceil(ModSettingGet( "adjustable_reroll_machines.reroll_price_cap2" ))
price_cap1 =  math.ceil(ModSettingGet( "adjustable_reroll_machines.reroll_price_cap" ))*1000
price_growth = ModSettingGet( "adjustable_reroll_machines.reroll_price_growth" )
price_start = ModSettingGet( "adjustable_reroll_machines.reroll_price_start" )*100
price_cap_enabled = ModSettingGet( "adjustable_reroll_machines.cap_enabled")

price_cap = price_cap1 + price_cap2

local entity_id = GetUpdatedEntityID()
local itemcost_comp = EntityGetFirstComponent( entity_id, "ItemCostComponent" )

local perk_reroll_count = tonumber( GlobalsGetValue( "TEMPLE_PERK_REROLL_COUNT", "0" ) )
local cost = math.floor(price_start * (1+price_growth)^perk_reroll_count)

if cost > price_cap then 
	if price_cap_enabled then
		cost = round(price_cap)
	end
end

ComponentSetValue( itemcost_comp, "cost", tostring(cost))
